Service Type API
Get service type
Get one service type by serviceTypeId. An ID that does not match a service type of this carrier returns 400.
POST
/
rms
/
service_types
/
get
Get service type
curl --request POST \
--url https://api-lg.arms.cedarai.com/rms/service_types/get \
--header 'Content-Type: application/json' \
--header 'x-arms-api-key: <api-key>' \
--header 'x-arms-assume-user: <api-key>' \
--data '
{
"serviceTypeId": "0b6f7d3e-3c55-4a3e-9d0e-6f1f4f0c2a11"
}
'import requests
url = "https://api-lg.arms.cedarai.com/rms/service_types/get"
payload = { "serviceTypeId": "0b6f7d3e-3c55-4a3e-9d0e-6f1f4f0c2a11" }
headers = {
"x-arms-api-key": "<api-key>",
"x-arms-assume-user": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-arms-api-key': '<api-key>',
'x-arms-assume-user': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({serviceTypeId: '0b6f7d3e-3c55-4a3e-9d0e-6f1f4f0c2a11'})
};
fetch('https://api-lg.arms.cedarai.com/rms/service_types/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"item": {
"serviceTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carrierId": 123,
"serviceTypeName": "<string>",
"serviceTypeCode": "<string>",
"contextType": "INCIDENTAL",
"serviceTypeGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceTypeGroupName": "<string>",
"defaultTaxIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deletedAt": "2023-11-07T05:31:56Z",
"deletedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"contract": {
"effect": "overwriteItem",
"resourceType": "ServiceType"
}
}{
"message": "<string>"
}Authorizations
Your ARMS API key
Email of a user assigned to the appropriate user group
Query Parameters
Carrier identifier; required for all endpoints
Body
application/json
Was this page helpful?
⌘I
Get service type
